javax.resource

## Annotation Type AdministeredObjectDefinition

-     @Retention(value=RUNTIME)
      @Target(value=TYPE)
      public @interface AdministeredObjectDefinition

  Annotation used to define a Connector administered object to be registered in JNDI. Once defined, an administered object may be referenced by a component using the `lookup` element of the `Resource` annotation.
  Since:
    1.7
  Version:
    1.7
  See Also:
    `Resource`

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `className` Fully qualified name of the administered object’s class
    `String` | `name` JNDI name of the administered object being defined.
    `String` | `resourceAdapter` The name of the resource adapter that the administered object must be created from.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `description` Description of the administered object.
    `String` | `interfaceName` Fully qualified name of the administered object’s interface
    `String[]` | `properties` Properties of the administered object.

- - ### Element Detail

    - #### name

          public abstract String name

      JNDI name of the administered object being defined.

    - #### resourceAdapter

          public abstract String resourceAdapter

      The name of the resource adapter that the administered object must be created from. The resource adapter is required to be available at deployment time.

    - #### className

          public abstract String className

      Fully qualified name of the administered object’s class

    - #### description

          public abstract String description

      Description of the administered object.
      Default:
        ""

    - #### interfaceName

          public abstract String interfaceName

      Fully qualified name of the administered object’s interface
      Default:
        ""

    - #### properties

          public abstract String[] properties

      Properties of the administered object. These properties may be vendor-specific properties. Vendor-specific properties may be combined with or used to override the administered object properties defined using this annotation. Administered Object properties that are specified and are not supported in a given resource adapter or cannot be mapped to a vendor specific configuration property may be ignored.
      Default:
        {}

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.